> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List namespaces

> List namespaces with optional search, filtering, sorting, and pagination



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/taxonomy/v1/namespaces
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/taxonomy/v1/namespaces:
    get:
      tags:
        - Tags
      summary: List namespaces
      description: List namespaces with optional search, filtering, sorting, and pagination
      parameters:
        - description: Search by label or description
          name: search
          in: query
          schema:
            type: string
        - description: Filter by exact label
          name: label
          in: query
          schema:
            type: string
        - description: Sort field (label, tagCount)
          name: sort
          in: query
          schema:
            type: string
        - description: Sort order (asc, desc)
          name: order
          in: query
          schema:
            type: string
        - description: Page size
          name: limit
          in: query
          schema:
            type: integer
        - description: Page offset
          name: offset
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-taxonomy-service_taxonomy.NamespaceListResponse
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
components:
  schemas:
    data-taxonomy-service_taxonomy.NamespaceListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/data-taxonomy-service_taxonomy.NamespaceListItem
        meta:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.ListMeta'
    data-taxonomy-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-taxonomy-service_taxonomy.NamespaceListItem:
      type: object
      properties:
        allowMultipleAssignments:
          type: boolean
        description:
          type: string
        entityCount:
          $ref: >-
            #/components/schemas/data-taxonomy-service_taxonomy.EntityCountByType
        id:
          type: string
        label:
          type: string
        status:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.NamespaceStatus'
        tagCount:
          type: integer
    data-taxonomy-service_taxonomy.ListMeta:
      type: object
      properties:
        filters:
          type: object
          additionalProperties:
            type: string
        pagination:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.PaginationMeta'
        search:
          type: string
        sort:
          type: string
    data-taxonomy-service_taxonomy.EntityCountByType:
      type: object
      properties:
        app:
          type: integer
        dataset:
          type: integer
        environment:
          type: integer
        model:
          type: integer
        netappVolume:
          type: integer
        project:
          type: integer
        projectTemplate:
          type: integer
        total:
          type: integer
    data-taxonomy-service_taxonomy.NamespaceStatus:
      type: string
      enum:
        - active
        - deprecated
      x-enum-varnames:
        - NamespaceStatusActive
        - NamespaceStatusDeprecated
    data-taxonomy-service_taxonomy.PaginationMeta:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer

````

## Related topics

- [Knowledge management](/6.3/platform-capabilities/core-concepts/knowledge-management/index.md)
- [List available PVCs in the domino-compute namespace with the netapp-storage label](/6.3/api-reference/netapp-volumes-filesystems/list-available-pvcs-in-the-domino-compute-namespace-with-the-netapp-storage-label.md)
- [List tags](/6.3/api-reference/tags/list-tags.md)
- [Delete a namespace](/6.3/api-reference/tags/delete-a-namespace.md)
